%define ver_major 2.16

# Choose one
%def_disable fam
%def_enable gamin

%def_enable python

Name: gnome-menus
Version: %ver_major.0
Release: alt1

Summary: GNOME desktop menu
License: GPL
Group: Graphical desktop/GNOME
Url: http://www.gnome.org

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2
Patch1: %name-2.14-alt-add-config-dir.patch

# From configure.in
%define glib_ver 2.6.0

Requires: altlinux-menus

# From configure.in
BuildPreReq: intltool >= 0.35
BuildPreReq: glib2-devel >= %glib_ver
%{?_enable_fam:BuildPreReq: libfam-devel}
%{?_enable_gamin:BuildPreReq: gamin-devel}
%{?_enable_python:BuildPreReq: python-devel}

BuildRequires: perl-XML-Parser

%description
The package contains an implementation of the draft "Desktop Menu
Specification" from http://www.freedesktop.org/Standards/menu-spec/

%package -n lib%name
Summary: Desktop Menu Library for GNOME
Group: System/Libraries
Requires: glib2 >= %glib_ver

%description -n lib%name
This package provides Desktop Menu Library for GNOME.

%package -n lib%name-devel
Summary: Development files for GNOME Desktop Menu Library
Group: Development/C
Requires: lib%name = %version-%release
Requires: glib2-devel >= %glib_ver

%description -n lib%name-devel
This package provides files required to develop programs that use
Desktop Menu Library.

%if_enabled python
%setup_python_module %name
%package -n python-module-%name
Summary: Python bindings for %name
Summary(ru_RU.UTF-8): Привязки к %name для языка Python
Group: Development/Python
Autoreq: yes
Requires: %name = %version-%release

%description -n python-module-%name
This package contains files that are needed to work with GNOME menus from Python.

%description -n python-module-%name -l ru_RU.UTF-8
В этом пакете находятся файлы, необходимые для работы с меню GNOME из программ на Python.

%package -n gnome-menu-editor
Summary: A simple GNOME menu editor
Summary(ru_RU.UTF-8): Простой редактор меню GNOME
Group: Graphical desktop/GNOME

%description -n gnome-menu-editor
This package contains a simple GNOME menu editor.

%description -n gnome-menu-editor -l ru_RU.UTF-8
В этом пакете находится простенький редактор меню GNOME.

%endif

%prep
%setup -q
%patch1

# Cleanup merging entries.
#__subst 's,<DefaultMergeDirs[^>]*>,<!-- <DefaultMergeDirs /> -->,' layout/applications.menu
%__subst 's,<KDELegacyDirs[^>]*>,<!-- <KDELegacyDirs/> -->,' layout/applications.menu

%build
%configure \
    %{subst_enable python} \
    --disable-static

%make_build

%install
%makeinstall

# These are no more needed
#%%__install -pD -m644 %%SOURCE1 %buildroot%_sysconfdir/gnome/xdg/menus/applications-merged/applications.menu
%__install -pD -m644 %buildroot%_sysconfdir/xdg/menus/applications.menu \
%buildroot%_sysconfdir/gnome/xdg/menus/applications-merged/applications.menu

%find_lang %name

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files -f %name.lang
%_datadir/desktop-directories/*
%dir %_sysconfdir/gnome/
%dir %_sysconfdir/gnome/xdg/
%dir %_sysconfdir/gnome/xdg/menus/
%dir %_sysconfdir/gnome/xdg/menus/applications-merged/
%config %_sysconfdir/gnome/xdg/menus/applications-merged/applications.menu
%config %_sysconfdir/xdg/menus/preferences.menu
%config %_sysconfdir/xdg/menus/settings.menu
%doc AUTHORS ChangeLog NEWS README

%exclude %_sysconfdir/xdg/menus/applications.menu

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_bindir/gnome-menu-spec-test
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*

%if_enabled python
%files -n python-module-%name
%python_sitelibdir/gmenu.so

%exclude %python_sitelibdir/gmenu.la

%define gmenu_editor gmenu-simple-editor

%files -n gnome-menu-editor
%_bindir/%gmenu_editor
%_datadir/applications/%gmenu_editor.desktop
%_datadir/gnome-menus/glade/%gmenu_editor.glade
%python_sitelibdir/GMenuSimpleEditor/*
%endif

%changelog
* Sat Sep 23 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.16.0-alt1
- new version (2.16.0)
- added back-compatibility directories in /usr/share/gnome/

* Mon Sep 04 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.15.91-alt2
- replaced python-dev with python-devel, as told by ALT Python policy.
- fixed Group of python module subpackage, to comply with the policy.

* Sun Aug 20 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.15.91-alt1
- new version (2.15.91)

* Wed Jun 14 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.14.0-alt1
- new version
- applied changes from the bug #9592.

* Wed Jan 18 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.13.5-alt1
- new version
- removed gnome-applications.menu file due to Bug #8866.
- introduced fam and gamin switches
- introduced a python bindings package and a menu editor package (both optional and disabled by default).

* Sat Sep 10 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.12.0-alt1
- 2.12.0

* Fri Sep 02 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.11.92-alt1
- 2.11.92

* Sat Jul 02 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.2-alt1
- 2.10.2

* Thu Mar 24 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.1-alt1
- 2.10.1 release.
- hack to use *-gnome-merged as a DefaultMergeDirs.
- *LegacyDirs removed everywhere.
- ALT Linux applications menu merged with original GNOME menu.
- requires altlinux-menus.

* Thu Mar 17 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.1-alt0.1
- build current cvs snapshot.
- remove applications.menu we have it in altlinux-menus.

* Mon Mar 07 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.0-alt1
- 2.10.0

* Tue Mar 01 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.92-alt1
- 2.9.92

* Mon Jan 31 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.90-alt1
- First build for Sisyphus.

